Kepler support, was When installing over eclipse-platform-4.3M6, no option to Run from Package Explorer #1

Closed
paulvi opened this Issue Apr 8, 2013 · 7 comments

Projects

None yet

2 participants

@paulvi
Member
paulvi commented Apr 8, 2013

Steps to reproduce:
Download latest Eclipse platform SDK from
http://download.eclipse.org/eclipse/downloads/
(I tried 4.3M6)

Install Nodeclipse-1 v0.2 via EclipseNodeIDE-0.2.p2f
Switch to Node perspective, create Express project.

No option to run from Package Explorer.
(But possible to run from within Editor)

@tomotaro1065
Member

Did you mean that there is no [Run As]-[Node Application] menu even if you open the context menu by right-clicking on the app.js in the Package Explorer?
I tried 4.3M6 on Windows, but it did not reproduce.
I did not install ShellEd because an error about dependency was occured. Are there any relation?

@paulvi
Member
paulvi commented Apr 9, 2013

Yes, I could not Run from Package Explorer.

I will remove ShellEd.

Well, if you have also tried 4.3M6 with no problem, let's just close and try on 4.3M7 or better RC or RELEASE

@paulvi paulvi closed this Apr 9, 2013
@paulvi
Member
paulvi commented Apr 19, 2013

I have tried Nodeclipse 0.3 with JBoss Developer studio 7.0 Alpha (Based on Eclipse 4.3)
After installtion, there is no Node perspective.

@paulvi paulvi reopened this Apr 19, 2013
@paulvi
Member
paulvi commented Apr 19, 2013

After installtion, there is no Node perspective immediately,
but it appears after File-> New Node project

@paulvi paulvi closed this Apr 19, 2013
@paulvi paulvi was assigned Apr 19, 2013
@paulvi
Member
paulvi commented May 14, 2013

May 15 Wed 20:00 EDT Eclipse 4.3 Release Candidate 1 build

http://www.eclipse.org/eclipse/development/plans/freeze_plan_4_3.php

What is new in Eclipse 4.3
http://download.eclipse.org/eclipse/downloads/drops4/S-4.3M7-201305020800/news/
(I the end, there are links to all Milestones New)

http://wiki.eclipse.org/Eclipse4

@paulvi paulvi reopened this May 14, 2013
@paulvi
Member
paulvi commented May 25, 2013

Eclipse 4.3 can be downloaded here http://www.eclipse.org/downloads/index-developer.php

@paulvi
Member
paulvi commented Jun 3, 2013

@tomotaro1065

Eclipse Standard 4.3 RC2, Eclipse IDE for Java EE Developer (4.3.0.RC2) are both OK with 0.4 on Wondows 7 x64

There is however issue with Enide Nodeclipse/eclipse-node-ide#2
Bug 409685 - [Remediation] Eclipse 4.3 Kepler - Installation Remediation fails; no opt-out

@paulvi paulvi closed this Jun 3, 2013
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment